# Mrp Unbuild Restore Origin

This module enhances the unbuild process of Manufacturing Orders by retaining
information from the original move lines.

- Owner Retention: The owner from the original move lines is always retained
  automatically when unbuilding a Manufacturing Order.
- Location Retention (Optional): A boolean field is available to retain the original
  source and destination locations of the move lines during the unbuild process, if needed.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

When unbuilding a completed Manufacturing Order, the owner from the original move
lines is always retained automatically.
If you want the components to be returned to the same locations they were originally
consumed from, enable the checkbox labeled “Restore Components to Original Location”
when creating the Unbuild Order. If this option is not enabled, Odoo will follow its standard behavior.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Quartile

## Contributors

- Quartile:
  - Aung Ko Ko Lin
  - Yoshi Tashiro

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/manufacture project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.